GPT-4o
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
GPT-4o is OpenAI's multimodal model for text and image tasks, with support for audio and visual inputs in the broader API surface. It was released on May 13, 2024 and supports a 128,000-token context window.
Capabilities
| Model | Knowledge Cutoff | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gpt-4o | Sep 2023 | Text, Image, Pdf | Text | 128,000 | $2.50/1M input $10.00/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gpt-4o",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gpt-4o", # model to send to the proxy
messages = [
{ role: "system", content: "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gpt-4o",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
print(completion.choices[0].message)
References
- OpenAI
https://openai.com/- LLM Stats
https://llm-stats.com- Artificial Analysis
https://artificialanalysis.ai